<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.42
Name: Dispense Item Entry Content Module
Description: A Dispense Item belongs to one Dispensation and represents one dispensed medication. It contains the dispensed medicinal product including information such as product code, brand name and packaging information.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000-closed">
   <title>Dispense Item Entry Content Module</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/*[not(self::hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']])]"
         id="d19e11778-true-d227864e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e11778-true-d227864e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']] (rule-reference: d19e11778-true-d227864e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] | self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] | self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] | self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.34'] | self::hl7:id[not(@nullFlavor)] | self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.77.4.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | self::hl7:text[not(@nullFlavor)] | self::hl7:quantity[not(@nullFlavor)] | self::hl7:product[not(@nullFlavor)] | self::hl7:author | self::hl7:author | self::hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]] | self::hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]] | self::hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']]] | self::hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]] | self::hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]] | self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]] | self::hl7:reference[@typeCode='XCRPT'] | self::hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.1']]] | self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]] | self::hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]])]"
         id="d19e12000-true-d228020e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12000-true-d228020e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] | hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] | hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] | hl7:templateId[@root='2.16.840.1.113883.10.20.1.34'] | hl7:id[not(@nullFlavor)] | hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.77.4.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | hl7:text[not(@nullFlavor)] | hl7:quantity[not(@nullFlavor)] | hl7:product[not(@nullFlavor)] | hl7:author | hl7:author | hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]] | hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]] | hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']]] | hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]] | hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]] | hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]] | hl7:reference[@typeCode='XCRPT'] | hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.1']]] | hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]] | hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]] (rule-reference: d19e12000-true-d228020e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:text[not(@nullFlavor)]/*[not(self::hl7:reference[not(@nullFlavor)])]"
         id="d19e12052-true-d228072e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12052-true-d228072e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference[not(@nullFlavor)] (rule-reference: d19e12052-true-d228072e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]])]"
         id="d19e12070-true-d228108e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12070-true-d228108e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]] (rule-reference: d19e12070-true-d228108e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'][not(@nullFlavor)] | self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'][not(@nullFlavor)] | self::hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']])]"
         id="d19e12077-true-d228130e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12077-true-d228130e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'][not(@nullFlavor)] | hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'][not(@nullFlavor)] | hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']] (rule-reference: d19e12077-true-d228130e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] | self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'] | self::hl7:code | self::hl7:name | self::pharm:formCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | self::hl7:lotNumberText | self::pharm:expirationTime | self::pharm:asContent[@classCode='CONT'] | self::pharm:ingredient[@classCode='ACTI'])]"
         id="d228141e75-true-d228205e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.33-2016-06-13T000000.html"
              test="not(.)">(ManufacturedMaterialEntryContentModule)/d228141e75-true-d228205e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] | hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'] | hl7:code | hl7:name | pharm:formCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | hl7:lotNumberText | pharm:expirationTime | pharm:asContent[@classCode='CONT'] | pharm:ingredient[@classCode='ACTI'] (rule-reference: d228141e75-true-d228205e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code/*[not(self::hl7:originalText)]"
         id="d228141e94-true-d228232e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.33-2016-06-13T000000.html"
              test="not(.)">(ManufacturedMaterialEntryContentModule)/d228141e94-true-d228232e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:originalText (rule-reference: d228141e94-true-d228232e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code/hl7:originalText/*[not(self::hl7:reference)]"
         id="d228141e101-true-d228247e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.33-2016-06-13T000000.html"
              test="not(.)">(ManufacturedMaterialEntryContentModule)/d228141e101-true-d228247e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d228141e101-true-d228247e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent[@classCode='CONT']/*[not(self::pharm:containerPackagedMedicine[@classCode='CONT'][not(@nullFlavor)])]"
         id="d228141e141-true-d228290e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.33-2016-06-13T000000.html"
              test="not(.)">(ManufacturedMaterialEntryContentModule)/d228141e141-true-d228290e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  pharm:containerPackagedMedicine[@classCode='CONT'][not(@nullFlavor)] (rule-reference: d228141e141-true-d228290e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent[@classCode='CONT']/pharm:containerPackagedMedicine[@classCode='CONT'][not(@nullFlavor)]/*[not(self::pharm:code | self::pharm:name | self::pharm:formCode | self::pharm:capacityQuantity)]"
         id="d228141e147-true-d228320e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.33-2016-06-13T000000.html"
              test="not(.)">(ManufacturedMaterialEntryContentModule)/d228141e147-true-d228320e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  pharm:code | pharm:name | pharm:formCode | pharm:capacityQuantity (rule-reference: d228141e147-true-d228320e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient[@classCode='ACTI']/*[not(self::pharm:quantity | self::pharm:ingredient[@classCode='MMAT'])]"
         id="d228141e186-true-d228360e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.33-2016-06-13T000000.html"
              test="not(.)">(ManufacturedMaterialEntryContentModule)/d228141e186-true-d228360e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  pharm:quantity | pharm:ingredient[@classCode='MMAT'] (rule-reference: d228141e186-true-d228360e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient[@classCode='ACTI']/pharm:quantity/*[not(self::pharm:numerator | self::pharm:denominator)]"
         id="d228141e193-true-d228380e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.33-2016-06-13T000000.html"
              test="not(.)">(ManufacturedMaterialEntryContentModule)/d228141e193-true-d228380e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  pharm:numerator | pharm:denominator (rule-reference: d228141e193-true-d228380e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:product[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.33'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient[@classCode='ACTI']/pharm:ingredient[@classCode='MMAT']/*[not(self::pharm:code | self::pharm:name)]"
         id="d228141e203-true-d228410e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.33-2016-06-13T000000.html"
              test="not(.)">(ManufacturedMaterialEntryContentModule)/d228141e203-true-d228410e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  pharm:code | pharm:name (rule-reference: d228141e203-true-d228410e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]]/*[not(self::hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.10'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']])]"
         id="d19e12114-true-d228450e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12114-true-d228450e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.10'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']] (rule-reference: d19e12114-true-d228450e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.10'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.10'] | self::hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45'] | self::hl7:id[not(@nullFlavor)] | self::hl7:code[(@code='MTPItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] | self::hl7:consumable[not(@nullFlavor)] | self::hl7:author | self::hl7:reference[@typeCode='XCRPT'])]"
         id="d228436e11-true-d228503e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228436e11-true-d228503e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.10'] | hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45'] | hl7:id[not(@nullFlavor)] | hl7:code[(@code='MTPItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] | hl7:consumable[not(@nullFlavor)] | hl7:author | hl7:reference[@typeCode='XCRPT'] (rule-reference: d228436e11-true-d228503e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.10'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[not(@nullFlavor)])]"
         id="d228436e59-true-d228541e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228436e59-true-d228541e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedProduct[not(@nullFlavor)] (rule-reference: d228436e59-true-d228541e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.10'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/*[not(self::hl7:manufacturedMaterial)]"
         id="d228436e61-true-d228556e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228436e61-true-d228556e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedMaterial (rule-reference: d228436e61-true-d228556e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.10'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]/hl7:reference[@typeCode='XCRPT']/*[not(self::hl7:externalDocument[not(@nullFlavor)])]"
         id="d228436e78-true-d228581e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228436e78-true-d228581e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:externalDocument[not(@nullFlavor)] (rule-reference: d228436e78-true-d228581e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.10'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.45']]/hl7:reference[@typeCode='XCRPT']/hl7:externalDocument[not(@nullFlavor)]/*[not(self::hl7:id[not(@nullFlavor)])]"
         id="d228436e87-true-d228596e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228436e87-true-d228596e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id[not(@nullFlavor)] (rule-reference: d228436e87-true-d228596e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]]/*[not(self::hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']])]"
         id="d19e12124-true-d228621e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12124-true-d228621e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']] (rule-reference: d19e12124-true-d228621e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] | self::hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47'] | self::hl7:id[not(@nullFlavor)] | self::hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] | self::hl7:consumable[not(@nullFlavor)] | self::hl7:author | self::hl7:reference[@typeCode='XCRPT'])]"
         id="d228607e11-true-d228674e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228607e11-true-d228674e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] | hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47'] | hl7:id[not(@nullFlavor)] | hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] | hl7:consumable[not(@nullFlavor)] | hl7:author | hl7:reference[@typeCode='XCRPT'] (rule-reference: d228607e11-true-d228674e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]/hl7:consumable[not(@nullFlavor)]/*[not(self::hl7:manufacturedProduct[not(@nullFlavor)])]"
         id="d228607e56-true-d228712e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228607e56-true-d228712e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedProduct[not(@nullFlavor)] (rule-reference: d228607e56-true-d228712e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/*[not(self::hl7:manufacturedMaterial)]"
         id="d228607e58-true-d228727e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228607e58-true-d228727e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedMaterial (rule-reference: d228607e58-true-d228727e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]/hl7:reference[@typeCode='XCRPT']/*[not(self::hl7:externalDocument[not(@nullFlavor)])]"
         id="d228607e75-true-d228752e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228607e75-true-d228752e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:externalDocument[not(@nullFlavor)] (rule-reference: d228607e75-true-d228752e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.47']]/hl7:reference[@typeCode='XCRPT']/hl7:externalDocument[not(@nullFlavor)]/*[not(self::hl7:id[not(@nullFlavor)])]"
         id="d228607e84-true-d228767e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228607e84-true-d228767e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id[not(@nullFlavor)] (rule-reference: d228607e84-true-d228767e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']]]/*[not(self::hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.13'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']])]"
         id="d19e12134-true-d228792e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12134-true-d228792e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.13'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']] (rule-reference: d19e12134-true-d228792e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.13'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.13'] | self::hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53'] | self::hl7:id[not(@nullFlavor)] | self::hl7:code[(@code='PADVItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] | self::hl7:author | self::hl7:reference[@typeCode='XCRPT'])]"
         id="d228778e11-true-d228840e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228778e11-true-d228840e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.13'] | hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53'] | hl7:id[not(@nullFlavor)] | hl7:code[(@code='PADVItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] | hl7:author | hl7:reference[@typeCode='XCRPT'] (rule-reference: d228778e11-true-d228840e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.13'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']]/hl7:reference[@typeCode='XCRPT']/*[not(self::hl7:externalDocument[not(@nullFlavor)])]"
         id="d228778e64-true-d228883e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228778e64-true-d228883e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:externalDocument[not(@nullFlavor)] (rule-reference: d228778e64-true-d228883e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[@typeCode='REFR' and hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.13'] and hl7:templateId[@root='2.16.756.5.30.1.1.10.4.53']]/hl7:reference[@typeCode='XCRPT']/hl7:externalDocument[not(@nullFlavor)]/*[not(self::hl7:id[not(@nullFlavor)])]"
         id="d228778e73-true-d228898e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228778e73-true-d228898e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id[not(@nullFlavor)] (rule-reference: d228778e73-true-d228898e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]]/*[not(self::hl7:act[@classCode='ACT'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']])]"
         id="d19e12144-true-d228921e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12144-true-d228921e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[@classCode='ACT'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']] (rule-reference: d19e12144-true-d228921e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]]/hl7:act[@classCode='ACT'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3'] | self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.49'][not(@nullFlavor)] | self::hl7:code[(@code='PINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')] | self::hl7:text[not(@nullFlavor)] | self::hl7:statusCode[@code='completed'])]"
         id="d228909e15-true-d228959e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228909e15-true-d228959e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3'] | hl7:templateId[@root='2.16.840.1.113883.10.20.1.49'][not(@nullFlavor)] | hl7:code[(@code='PINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')] | hl7:text[not(@nullFlavor)] | hl7:statusCode[@code='completed'] (rule-reference: d228909e15-true-d228959e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]]/hl7:act[@classCode='ACT'][@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:text[not(@nullFlavor)]/*[not(self::hl7:reference)]"
         id="d228909e46-true-d228989e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d228909e46-true-d228989e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d228909e46-true-d228989e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]]/*[not(self::hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']])]"
         id="d19e12156-true-d229015e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12156-true-d229015e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']] (rule-reference: d19e12156-true-d229015e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]]/hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1'])]"
         id="d19e12167-true-d229033e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12167-true-d229033e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1'] (rule-reference: d19e12167-true-d229033e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/*[not(self::hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']])]"
         id="d19e12176-true-d229063e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12176-true-d229063e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']] (rule-reference: d19e12176-true-d229063e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6'] | self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] | self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] | self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] | self::hl7:effectiveTime[@xsi:type='IVL_TS'] | self::hl7:effectiveTime[@operator='A' and @xsi:type='EIVL_TS'] | self::hl7:effectiveTime[@operator='A' and @xsi:type='SXPR_TS'] | self::hl7:routeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | self::hl7:approachSiteCode | self::hl7:doseQuantity | self::hl7:rateQuantity | self::hl7:consumable | self::hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration and (../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']) and not(hl7:substanceAdministration/hl7:templateId)])]"
         id="d19e12185-true-d229105e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12185-true-d229105e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6'] | hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] | hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] | hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] | hl7:effectiveTime[@xsi:type='IVL_TS'] | hl7:effectiveTime[@operator='A' and @xsi:type='EIVL_TS'] | hl7:effectiveTime[@operator='A' and @xsi:type='SXPR_TS'] | hl7:routeCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | hl7:approachSiteCode | hl7:doseQuantity | hl7:rateQuantity | hl7:consumable | hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration and (../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']) and not(hl7:substanceAdministration/hl7:templateId)] (rule-reference: d19e12185-true-d229105e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:effectiveTime[@xsi:type='IVL_TS']/*[not(self::hl7:low | self::hl7:high)]"
         id="d229125e149-true-d229140e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.35-2016-06-13T000000.html"
              test="not(.)">(DosageInstructionsStartStopFrequency)/d229125e149-true-d229140e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d229125e149-true-d229140e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:effectiveTime[@operator='A' and @xsi:type='EIVL_TS']/*[not(self::hl7:event[not(@nullFlavor)])]"
         id="d229125e169-true-d229163e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.35-2016-06-13T000000.html"
              test="not(.)">(DosageInstructionsStartStopFrequency)/d229125e169-true-d229163e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:event[not(@nullFlavor)] (rule-reference: d229125e169-true-d229163e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:effectiveTime[@operator='A' and @xsi:type='SXPR_TS']/*[not(self::hl7:comp[@xsi:type='EIVL_TS'][not(@nullFlavor)] | self::hl7:comp[@operator='I' and @xsi:type='EIVL_TS'][not(@nullFlavor)])]"
         id="d229125e187-true-d229178e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.35-2016-06-13T000000.html"
              test="not(.)">(DosageInstructionsStartStopFrequency)/d229125e187-true-d229178e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:comp[@xsi:type='EIVL_TS'][not(@nullFlavor)] | hl7:comp[@operator='I' and @xsi:type='EIVL_TS'][not(@nullFlavor)] (rule-reference: d229125e187-true-d229178e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:effectiveTime[@operator='A' and @xsi:type='SXPR_TS']/hl7:comp[@xsi:type='EIVL_TS'][not(@nullFlavor)]/*[not(self::hl7:event[not(@nullFlavor)])]"
         id="d229125e198-true-d229191e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.35-2016-06-13T000000.html"
              test="not(.)">(DosageInstructionsStartStopFrequency)/d229125e198-true-d229191e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:event[not(@nullFlavor)] (rule-reference: d229125e198-true-d229191e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:effectiveTime[@operator='A' and @xsi:type='SXPR_TS']/hl7:comp[@operator='I' and @xsi:type='EIVL_TS'][not(@nullFlavor)]/*[not(self::hl7:event[not(@nullFlavor)])]"
         id="d229125e212-true-d229209e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.35-2016-06-13T000000.html"
              test="not(.)">(DosageInstructionsStartStopFrequency)/d229125e212-true-d229209e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:event[not(@nullFlavor)] (rule-reference: d229125e212-true-d229209e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="d19e12228-true-d229252e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12228-true-d229252e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedProduct (rule-reference: d19e12228-true-d229252e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="d19e12230-true-d229267e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12230-true-d229267e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedMaterial (rule-reference: d19e12230-true-d229267e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration and (../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']) and not(hl7:substanceAdministration/hl7:templateId)]/*[not(self::hl7:sequenceNumber[not(@nullFlavor)] | self::hl7:substanceAdministration)]"
         id="d229277e94-true-d229292e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.36-2017-01-23T163055.html"
              test="not(.)">(DosageInstructionsEntryDosageChange)/d229277e94-true-d229292e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:sequenceNumber[not(@nullFlavor)] | hl7:substanceAdministration (rule-reference: d229277e94-true-d229292e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration and (../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']) and not(hl7:substanceAdministration/hl7:templateId)]/hl7:substanceAdministration/*[not(self::hl7:effectiveTime[@xsi:type='EIVL_TS'] | self::hl7:doseQuantity | self::hl7:rateQuantity | self::hl7:consumable)]"
         id="d229277e105-true-d229323e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.36-2017-01-23T163055.html"
              test="not(.)">(DosageInstructionsEntryDosageChange)/d229277e105-true-d229323e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:effectiveTime[@xsi:type='EIVL_TS'] | hl7:doseQuantity | hl7:rateQuantity | hl7:consumable (rule-reference: d229277e105-true-d229323e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration and (../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']) and not(hl7:substanceAdministration/hl7:templateId)]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event[not(@nullFlavor)])]"
         id="d229277e107-true-d229336e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.36-2017-01-23T163055.html"
              test="not(.)">(DosageInstructionsEntryDosageChange)/d229277e107-true-d229336e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:event[not(@nullFlavor)] (rule-reference: d229277e107-true-d229336e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration and (../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']) and not(hl7:substanceAdministration/hl7:templateId)]/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="d229277e127-true-d229366e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.36-2017-01-23T163055.html"
              test="not(.)">(DosageInstructionsEntryDosageChange)/d229277e127-true-d229366e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedProduct (rule-reference: d229277e127-true-d229366e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]]/hl7:substanceAdministration[@moodCode='INT'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.6']]/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration and (../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] or ../hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']) and not(hl7:substanceAdministration/hl7:templateId)]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="d229277e129-true-d229381e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.36-2017-01-23T163055.html"
              test="not(.)">(DosageInstructionsEntryDosageChange)/d229277e129-true-d229381e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedMaterial (rule-reference: d229277e129-true-d229381e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:reference[@typeCode='XCRPT']/*[not(self::hl7:externalDocument)]"
         id="d19e12245-true-d229401e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12245-true-d229401e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:externalDocument (rule-reference: d19e12245-true-d229401e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:reference[@typeCode='XCRPT']/hl7:externalDocument/*[not(self::hl7:id[not(@nullFlavor)])]"
         id="d19e12254-true-d229416e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12254-true-d229416e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id[not(@nullFlavor)] (rule-reference: d19e12254-true-d229416e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.1']]]/*[not(self::hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2']])]"
         id="d19e12260-true-d229439e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12260-true-d229439e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2']] (rule-reference: d19e12260-true-d229439e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.1']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2'] | self::hl7:code[@codeSystem='2.16.840.1.113883.5.1070'] | self::hl7:statusCode[@code='completed'])]"
         id="d229427e11-true-d229471e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229427e11-true-d229471e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2'] | hl7:code[@codeSystem='2.16.840.1.113883.5.1070'] | hl7:statusCode[@code='completed'] (rule-reference: d229427e11-true-d229471e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]]/*[not(self::hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']])]"
         id="d19e12270-true-d229507e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12270-true-d229507e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']] (rule-reference: d19e12270-true-d229507e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37'] | self::hl7:text[not(@nullFlavor)] | self::hl7:consumable)]"
         id="d229495e5-true-d229535e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229495e5-true-d229535e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37'] | hl7:text[not(@nullFlavor)] | hl7:consumable (rule-reference: d229495e5-true-d229535e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]/hl7:text[not(@nullFlavor)]/*[not(self::hl7:reference[not(@nullFlavor)])]"
         id="d229495e16-true-d229556e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229495e16-true-d229556e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference[not(@nullFlavor)] (rule-reference: d229495e16-true-d229556e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="d229495e24-true-d229576e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229495e24-true-d229576e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedProduct (rule-reference: d229495e24-true-d229576e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='INT'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.37']]/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="d229495e26-true-d229591e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229495e26-true-d229591e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedMaterial (rule-reference: d229495e26-true-d229591e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/*[not(self::hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']])]"
         id="d19e12275-true-d229714e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d19e12275-true-d229714e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']] (rule-reference: d19e12275-true-d229714e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] | self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] | self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] | self::hl7:id | self::hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] | self::hl7:text[not(@nullFlavor)] | self::hl7:statusCode[@code='completed' or @code=doc('include/voc-2.16.840.1.113883.1.11.20025-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | self::hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]])]"
         id="d229602e11-true-d229926e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229602e11-true-d229926e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] | hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] | hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] | hl7:id | hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] | hl7:text[not(@nullFlavor)] | hl7:statusCode[@code='completed' or @code=doc('include/voc-2.16.840.1.113883.1.11.20025-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]] (rule-reference: d229602e11-true-d229926e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:text[not(@nullFlavor)]/*[not(self::hl7:reference[not(@nullFlavor)])]"
         id="d229960e22-true-d229972e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.9.14-2018-04-18T000000.html"
              test="not(.)">(cdach_other_TextElementWithReferenceToNarrativeText)/d229960e22-true-d229972e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference[not(@nullFlavor)] (rule-reference: d229960e22-true-d229972e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/*[not(self::hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | self::hl7:time | self::hl7:assignedAuthor)]"
         id="d229602e84-true-d230145e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229602e84-true-d230145e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] | hl7:time | hl7:assignedAuthor (rule-reference: d229602e84-true-d230145e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/*[not(self::hl7:translation)]"
         id="d229991e5-true-d230163e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229991e5-true-d230163e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:translation (rule-reference: d229991e5-true-d230163e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:assignedAuthor/*[not(self::hl7:id | self::hl7:addr | self::hl7:telecom | self::hl7:assignedPerson | self::hl7:assignedAuthoringDevice | self::hl7:representedOrganization)]"
         id="d229991e83-true-d230321e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229991e83-true-d230321e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:addr | hl7:telecom | hl7:assignedPerson | hl7:assignedAuthoringDevice | hl7:representedOrganization (rule-reference: d229991e83-true-d230321e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:assignedAuthor/hl7:addr/*[not(self::hl7:streetAddressLine | self::hl7:streetAddressLine | self::hl7:streetName | self::hl7:houseNumber | self::hl7:additionalLocator | self::hl7:postBox | self::hl7:state | self::hl7:city | self::hl7:postalCode | self::hl7:country)]"
         id="d229991e106-true-d230389e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229991e106-true-d230389e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:streetAddressLine | hl7:streetAddressLine | hl7:streetName | hl7:houseNumber | hl7:additionalLocator | hl7:postBox | hl7:state | hl7:city | hl7:postalCode | hl7:country (rule-reference: d229991e106-true-d230389e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name | self::hl7:name | self::hl7:name)]"
         id="d229991e120-true-d230472e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229991e120-true-d230472e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name | hl7:name | hl7:name (rule-reference: d229991e120-true-d230472e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/*[not(self::hl7:prefix | self::hl7:family | self::hl7:family | self::hl7:given | self::hl7:given)]"
         id="d230450e5-true-d230507e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d230450e5-true-d230507e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:prefix | hl7:family | hl7:family | hl7:given | hl7:given (rule-reference: d230450e5-true-d230507e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/*[not(self::hl7:prefix | self::hl7:family | self::hl7:given)]"
         id="d230450e77-true-d230557e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d230450e77-true-d230557e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:prefix | hl7:family | hl7:given (rule-reference: d230450e77-true-d230557e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/*[not(self::hl7:prefix | self::hl7:family | self::hl7:given)]"
         id="d230450e124-true-d230597e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d230450e124-true-d230597e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:prefix | hl7:family | hl7:given (rule-reference: d230450e124-true-d230597e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName | self::hl7:softwareName)]"
         id="d229991e126-true-d230635e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229991e126-true-d230635e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturerModelName | hl7:softwareName (rule-reference: d229991e126-true-d230635e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr)]"
         id="d229991e134-true-d230717e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d229991e134-true-d230717e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr (rule-reference: d229991e134-true-d230717e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]]/hl7:supply[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.42'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2']]]/hl7:act[@classCode='ACT'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.1.10.4.2'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:author[hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.3.10.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr/*[not(self::hl7:streetAddressLine | self::hl7:streetAddressLine | self::hl7:streetName | self::hl7:houseNumber | self::hl7:additionalLocator | self::hl7:postBox | self::hl7:state | self::hl7:city | self::hl7:postalCode | self::hl7:country)]"
         id="d230651e32-true-d230795e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20180426T204035/tmp-2.16.756.5.30.1.1.10.4.42-2016-06-17T000000.html"
              test="not(.)">(DispenseItemEntryContentModule)/d230651e32-true-d230795e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:streetAddressLine | hl7:streetAddressLine | hl7:streetName | hl7:houseNumber | hl7:additionalLocator | hl7:postBox | hl7:state | hl7:city | hl7:postalCode | hl7:country (rule-reference: d230651e32-true-d230795e0)</assert>
   </rule>
</pattern>
